//=====================================================================================================================//
// email:nikolaospantzos@gmail.com                                                                      CountLotRiskEA //
//=====================================================================================================================//
#property copyright "Copyright 2013 by Pantzos Nikolaos"
//=====================================================================================================================//
extern double LossPips       = 50;
extern double RiskPerCent    = 1;
extern int    SizeBackGround = 104;
//=====================================================================================================================//
//volumes
int MultiplierPoint=0;
double DigitPoints=0;
//=====================================================================================================================//
//init function
int init()
{
DisplayText("Background","g",SizeBackGround,"Webdings",DimGray,0,12);
//------------------------------------------------------
//Calculate for 4 or 5 digits broker
MultiplierPoint=1;
if((MarketInfo(Symbol(),MODE_DIGITS)==3)||(MarketInfo(Symbol(),MODE_DIGITS)==5)) MultiplierPoint=10;
DigitPoints=MarketInfo(Symbol(),MODE_POINT)*MultiplierPoint;
//------------------------------------------------------
start();
return(0);
}
//=====================================================================================================================//
//deinit function
int deinit()
{
ObjectsDeleteAll();
Comment("");
return(0);
}
//=====================================================================================================================//
//start function
int start()
{
string LotCom;
double MarginLevel=0;
double LotValue=(100000/MarketInfo(Symbol(),MODE_LOTSIZE));
double TickValue=MarketInfo(Symbol(),MODE_TICKVALUE);
double TickSize=MarketInfo(Symbol(),MODE_TICKSIZE);
double CurrencyPerLot=(TickValue/(TickSize/DigitPoints))/LotValue;
double LotSize=((AccountEquity()*(RiskPerCent/100))/(LossPips*CurrencyPerLot))*LotValue;
double LotStep=MarketInfo(Symbol(),MODE_LOTSTEP);
double MinLot=MarketInfo(Symbol(),MODE_MINLOT);
double MaxLot=MarketInfo(Symbol(),MODE_MAXLOT);
if((LotSize>MaxLot)||(LotSize<MinLot)) LotCom="Lot not accept"; else LotCom=MathRound(LotSize/LotStep)*LotStep;
if(LossPips<=0) LotCom="Put LossPips";
//------------------------------------------------------
//show info
if(AccountMargin()>0) MarginLevel=AccountEquity()/AccountMargin()*100;
Comment("==================",
"\n     Symbol : ",Symbol(),
"\n==================",
"\n Money Per Lot  : ",DoubleToStr(CurrencyPerLot,2),
"\n==================",
"\n Margin Level % : ",DoubleToStr(MarginLevel,2),
"\n==================",
"\n Risk PerCent     : ",DoubleToStr(RiskPerCent,2),"%",
"\n Pips Stop Loss   : ",DoubleToStr(LossPips,2),
"\n Lot Size            : ",LotCom,
"\n==================");
//------------------------------------------------------
return(0);
}
//=====================================================================================================================//
//Display Text
void DisplayText(string StringName, string Image, int FontSize, string TypeImage, color FontColor, int Xposition, int Yposition)
{
ObjectCreate(StringName,OBJ_LABEL,0,0,0);
ObjectSet(StringName,OBJPROP_CORNER,0);
ObjectSet(StringName,OBJPROP_BACK,FALSE);
ObjectSet(StringName,OBJPROP_XDISTANCE,Xposition);
ObjectSet(StringName,OBJPROP_YDISTANCE,Yposition);
ObjectSetText(StringName,Image,FontSize,TypeImage,FontColor);
}
//=====================================================================================================================//

